// ** Effects shaders **

textures/legoland_effects/softwater_static
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	cull none
	q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
	q3map_lightmapBrightness 2
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   blendfunc gl_dst_color gl_src_color
   }
	{
		map textures/liquids/pool2.tga
		rgbGen identity
        blendfunc blend
		alphaGen const 0.3
	}
}

textures/legoland_effects/invisible_water
{
    surfaceparm water
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}

textures/legoland_effects/teleporter1
{
    q3map_nolightmap

	{
		map textures/legoland_effects/teleport_env.tga
		tcgen environment
		rgbGen identitylighting
		tcmod scale -1 1
	}


}

textures/legoland_effects/teleporter2
{
    q3map_nolightmap

	{
		map textures/legoland_effects/teleport_env2.tga
		tcgen environment
		rgbGen identitylighting
		tcmod scale -1 1
	}


}


textures/legoland_sky/skyclouds
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
	    {
		 
	     clampmap textures/legoland_sky/skyclouds.tga
         blendFunc blend
         //rgbGen identity
         }
}

textures/legoland_sky/skyclouds2
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
	    {
		 
	     clampmap textures/legoland_sky/skyclouds2.tga
         blendFunc blend
         //rgbGen identity
         }
}

textures/legoland_sky/skyclouds3
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
	    {
		 
	     clampmap textures/legoland_sky/skyclouds3.tga
         blendFunc blend
         //rgbGen identity
         }
}

textures/legoland_sky/sun
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
	    {
		 
	     clampmap textures/legoland_sky/sun.tga
         blendFunc blend
         rgbGen identity
         }
}

textures/legoland_sky/mario_sky
{
     qer_editorimage textures/legoland_sky/skygradient.tga
	
     surfaceparm noimpact
	surfaceparm sky
	surfaceparm nolightmap
	q3map_sunExt 1 1 0.90 12 70 70
	q3map_lightRGB 0.693965 0.943965 1
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 30 6
	q3map_globaltexture
	skyParms full 700 -
 {
   map textures/legoland_sky/skyblue.tga
   blendFunc GL_ONE GL_zero
 }
}	

textures/legoland_sky/skygradient
{
    surfaceparm nonsolid
    qer_editorimage textures/legoland_sky/skygradient.tga
	q3map_nolightmap
 {
   map textures/legoland_sky/skygradient.tga
   blendFunc GL_ONE GL_zero
   rgbGen identityLighting
 }
}


textures/legoland_decoration/translucent_top
{
	surfaceparm trans
	cull none
    qer_editorimage textures/legoland_floor/white.tga

	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   blendfunc gl_dst_color gl_src_color
   }
 {
    map textures/legoland_floor/white.tga
	rgbGen identity
     blendfunc blend
	alphaGen const 0.05
 }

}

textures/legoland_decoration/translucent_bottom
{
	surfaceparm trans
	cull none
     qer_editorimage textures/legoland_ceiling/white.tga

	
	{
      tcgen lightmap
      map $lightmap
      rgbGen identity
      blendfunc gl_dst_color gl_src_color
     }
 {
    map textures/legoland_ceiling/white.tga
	rgbGen identity
     blendfunc blend
	alphaGen const 0.05
 }

}

// *** This makes light blocks unilit and transparent to light, meaning that they don't block light, don't create a shadow on the surface they are palced on. ***

textures/legoland_light/orangelight_tiny
{
  surfaceparm trans
  q3map_nolightmap
   {
   map textures/legoland_light/orangelight_tiny.tga
   blendFunc gl_one gl_Zero
 }	
}

textures/legoland_light/orangelight_tiny_sides
{
  surfaceparm trans
  q3map_nolightmap
   {
   map textures/legoland_light/orangelight_tiny_sides.tga
   blendFunc gl_one gl_Zero
 }	
}

textures/legoland_light/bluelight
{
  surfaceparm trans
  q3map_nolightmap
  {
   map textures/legoland_light/bluelight.tga
   blendFunc gl_one gl_Zero
 }	
}

textures/legoland_light/bluelight_sides
{
  surfaceparm trans
  q3map_nolightmap
   {
   map textures/legoland_light/bluelight_sides.tga
   blendFunc gl_one gl_Zero
 }	
}

textures/legoland_light/greenlight_tiny
{
  surfaceparm trans
  q3map_nolightmap
   {
   map textures/legoland_light/greenlight_tiny.tga
   blendFunc gl_one gl_Zero
 }	
}

textures/legoland_light/greenlight_tiny_sides
{
  surfaceparm trans
  q3map_nolightmap
   {
   map textures/legoland_light/greenlight_tiny_sides.tga
   blendFunc gl_one gl_Zero
 }	
}

textures/legoland_wall/blue_white
{
    qer_editorimage textures/legoland_wall/blue_white.tga
	q3map_normalimage textures/legoland_wall/normal.tga		
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/blue_white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_wall/green_black
{
    qer_editorimage textures/legoland_wall/green_black.tga
	q3map_normalimage textures/legoland_wall/normal.tga	
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/green_black.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_wall/orange_black
{
    qer_editorimage textures/legoland_wall/orange_black.tga
	q3map_normalimage textures/legoland_wall/normal.tga		
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/orange_black.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_wall/aqua_skyblue
{
    qer_editorimage textures/legoland_wall/aqua_skyblue.tga
	q3map_normalimage textures/legoland_wall/normal.tga		
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_wall/aqua_skyblue.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/white
{
    qer_editorimage textures/legoland_floor/white.tga
	q3map_normalimage textures/legoland_floor/normal.tga
	
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/yellow
{
    qer_editorimage textures/legoland_floor/yellow.tga
	q3map_normalimage textures/legoland_floor/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/yellow.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/blue
{
    qer_editorimage textures/legoland_floor/blue.tga
	q3map_normalimage textures/legoland_floor/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/blue.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/orange
{
    qer_editorimage textures/legoland_floor/orange.tga
	q3map_normalimage textures/legoland_floor/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/orange.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/green
{
    qer_editorimage textures/legoland_floor/green.tga
	q3map_normalimage textures/legoland_floor/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/green.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/aqua
{
    qer_editorimage textures/legoland_floor/aqua.tga
	q3map_normalimage textures/legoland_floor/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/aqua.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/half_white
{
    qer_editorimage textures/legoland_floor/half_white.tga
	q3map_normalimage textures/legoland_floor/half_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/half_orange
{
    qer_editorimage textures/legoland_floor/half_orange.tga
	q3map_normalimage textures/legoland_floor/half_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/half_orange.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_floor/quarter_white
{
    qer_editorimage textures/legoland_floor/quarter_white.tga
	q3map_normalimage textures/legoland_floor/quarter_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_floor/quarter_white.tga
   blendFunc gl_dst_color gl_src_color
 }

}


textures/legoland_ceiling/blue
{
    qer_editorimage textures/legoland_ceiling/blue.tga
	q3map_normalimage textures/legoland_ceiling/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/blue.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_ceiling/green
{
    qer_editorimage textures/legoland_ceiling/green.tga
	q3map_normalimage textures/legoland_ceiling/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/green.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_ceiling/white
{
    qer_editorimage textures/legoland_ceiling/white.tga
	q3map_normalimage textures/legoland_ceiling/normal.tga
	q3map_lightmapfilterradius 0 8
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_ceiling/yellow
{
    qer_editorimage textures/legoland_ceiling/yellow.tga
	q3map_normalimage textures/legoland_ceiling/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/yellow.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_ceiling/orange
{
    qer_editorimage textures/legoland_ceiling/orange.tga
	q3map_normalimage textures/legoland_ceiling/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/orange.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_ceiling/skyblue
{
    qer_editorimage textures/legoland_ceiling/skyblue.tga
	q3map_normalimage textures/legoland_ceiling/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/skyblue.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_ceiling/black
{
    qer_editorimage textures/legoland_ceiling/black.tga
	q3map_normalimage textures/legoland_ceiling/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/black.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_ceiling/half_white
{
    qer_editorimage textures/legoland_ceiling/half_white.tga
	q3map_normalimage textures/legoland_ceiling/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_ceiling/half_white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/blue
{
    qer_editorimage textures/legoland_flat/blue.tga
	q3map_normalimage textures/legoland_flat/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/blue.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/white
{
    qer_editorimage textures/legoland_flat/white.tga
	q3map_normalimage textures/legoland_flat/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/orange
{
    qer_editorimage textures/legoland_flat/orange.tga
	q3map_normalimage textures/legoland_flat/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/orange.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/black
{
    qer_editorimage textures/legoland_flat/black.tga
	q3map_normalimage textures/legoland_flat/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/black.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/yellow
{
    qer_editorimage textures/legoland_flat/yellow.tga
	q3map_normalimage textures/legoland_flat/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/yellow.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/grey
{
    qer_editorimage textures/legoland_flat/grey.tga
	q3map_normalimage textures/legoland_flat/normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/grey.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/half_white
{
    qer_editorimage textures/legoland_flat/half_white.tga
	q3map_half_normalimage textures/legoland_flat/half_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/half_white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/half_blue
{
    qer_editorimage textures/legoland_flat/half_blue.tga
	q3map_half_normalimage textures/legoland_flat/half_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/half_blue.tga
   blendFunc gl_dst_color gl_src_color
 }

}


textures/legoland_flat/half_skyblue
{
    qer_editorimage textures/legoland_flat/half_skyblue.tga
	q3map_half_normalimage textures/legoland_flat/half_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/half_skyblue.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/half_green
{
    qer_editorimage textures/legoland_flat/half_green.tga
	q3map_half_normalimage textures/legoland_flat/half_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/half_green.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/half_yellow
{
    qer_editorimage textures/legoland_flat/half_yellow.tga
	q3map_normalimage textures/legoland_flat/half_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/half_yellow.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/quarter_white
{
    qer_editorimage textures/legoland_flat/quarter_white.tga
	q3map_normalimage textures/legoland_flat/quarter_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/quarter_white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/square_white
{
    qer_editorimage textures/legoland_flat/square_white.tga
	q3map_normalimage textures/legoland_flat/square_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/square_white.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/quarter_aqua
{
    qer_editorimage textures/legoland_flat/quarter_aqua.tga
	q3map_normalimage textures/legoland_flat/quarter_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/quarter_aqua.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/quarter_black
{
    qer_editorimage textures/legoland_flat/quarter_black.tga
	q3map_normalimage textures/legoland_flat/quarter_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/quarter_black.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/quarter_blue
{
    qer_editorimage textures/legoland_flat/quarter_blue.tga
	q3map_normalimage textures/legoland_flat/quarter_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/quarter_blue.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/quarter_orange
{
    qer_editorimage textures/legoland_flat/quarter_orange.tga
	q3map_normalimage textures/legoland_flat/quarter_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/quarter_orange.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/quarter_green
{
    qer_editorimage textures/legoland_flat/quarter_green.tga
	q3map_normalimage textures/legoland_flat/quarter_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/quarter_green.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/quarter_grey
{
    qer_editorimage textures/legoland_flat/quarter_grey.tga
	q3map_normalimage textures/legoland_flat/quarter_normal.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/quarter_grey.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland_flat/jump
{
    qer_editorimage textures/legoland_flat/jump.tga
    q3map_normalimage textures/legoland_flat/jump_norm.tga
    q3map_lightmapSize 2048 2048
    q3map_lightmapsamplesize 3
    q3map_lightmapBrightness 2
	
	q3map_lightmapFilterRadius 0 8
	{
   tcgen lightmap
   map $lightmap
   rgbGen identity
   }
 {
   map textures/legoland_flat/jump.tga
   blendFunc gl_dst_color gl_src_color
 }

}

textures/legoland/hintskip
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodraw
     surfaceparm skip
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans	
}

